classification
Title: mingw: avoid circular dependency from time module during native build of extentions
Type: Stage: resolved
Components: Build, Distutils, Extension Modules Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, rpetrov, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2013-08-02 19:45 by rpetrov, last changed 2021-02-03 18:30 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
0021-MINGW-avoid-circular-dependency-from-time-module-dur.patch rpetrov, 2013-08-02 19:45
0021-MINGW-avoid-circular-dependency-from-time-module-dur.patch rpetrov, 2013-10-13 08:51 version 2013-10-01
Messages (2)
msg194203 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-08-02 19:45
Split of issue3871 - build core modules: patch is not required in cross-build environment.
msg386431 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:30
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:30:38steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386431

resolution: out of date
stage: resolved
2013-10-13 08:51:03rpetrovsetfiles: + 0021-MINGW-avoid-circular-dependency-from-time-module-dur.patch
2013-08-02 19:45:43rpetrovcreate